"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fsFileSystem = void 0;
const fs = __importStar(require("fs"));
const utils_1 = require("../utils");
exports.fsFileSystem = {
    fileExists: async (filePath) => {
        try {
            return fs.existsSync(filePath);
        }
        catch (_a) {
            return false;
        }
    },
    directoryExists: async (filePath) => {
        try {
            const stat = await fs.promises.stat(filePath);
            return stat.isDirectory();
        }
        catch (error) {
            return false;
        }
    },
    readFile: async (filePath) => {
        try {
            return (await fs.promises.readFile(filePath)).toString();
        }
        catch (error) {
            return (0, utils_1.asError)(error);
        }
    },
    writeFile: async (filePath, contents) => {
        try {
            await fs.promises.writeFile(filePath, contents);
            return undefined;
        }
        catch (error) {
            return (0, utils_1.asError)(error);
        }
    },
};
//# sourceMappingURL=fsFileSystem.js.map