import { JoinedConversionResult } from "../converters/lintConfigs/joinConfigConversionResults";
import { ConfigurationErrorResult, LintConfigConversionSettings, SucceededDataResult } from "../types";
/**
 * Resultant configuration data from converting a TSLint configuration.
 */
export type TSLintConversionData = {
    /**
     * Formatted configuration string per the output file's extension.
     */
    formatted: string;
    /**
     * Object description of the resultant configuration data.
     */
    raw: JoinedConversionResult;
};
/**
 * Finds relevant configurations on disk and outputs the generated ESLint configuration.
 *
 * @param settings - Settings to find and convert configurations to an ESLint configuration.
 */
export declare const convertTSLintConfigStandalone: (rawSettings?: Partial<LintConfigConversionSettings>) => Promise<ConfigurationErrorResult | SucceededDataResult<TSLintConversionData>>;
