"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.main = void 0;
const os_1 = require("os");
const processLogger_1 = require("../adapters/processLogger");
const dependencies_1 = require("../api/dependencies");
const runCli_1 = require("../cli/runCli");
const utils_1 = require("../utils");
const main = async (argv) => {
    try {
        const resultStatus = await (0, runCli_1.runCli)(dependencies_1.runCliDependencies, argv);
        processLogger_1.processLogger.info.close();
        if (resultStatus !== 0) {
            process.exitCode = 1;
        }
    }
    catch (error) {
        processLogger_1.processLogger.info.close();
        processLogger_1.processLogger.stdout.write(`Error in tslint-to-eslint-config: ${(0, utils_1.asError)(error).stack}${os_1.EOL}`);
        process.exitCode = 1;
    }
};
exports.main = main;
//# sourceMappingURL=main.js.map