import { SansDependencies } from "../../binding";
import { collectCommentFileNames } from "../../comments/collectCommentFileNames";
import { AllOriginalConfigurations } from "../../input/findOriginalConfigurations";
import { ResultWithDataStatus, TSLintToESLintSettings } from "../../types";
import { convertFileComments } from "./convertFileComments";
import { extractGlobPaths } from "./extractGlobPaths";
import { reportCommentResults } from "./reporting/reportCommentResults";
export type ConvertCommentsDependencies = {
    collectCommentFileNames: SansDependencies<typeof collectCommentFileNames>;
    convertFileComments: SansDependencies<typeof convertFileComments>;
    extractGlobPaths: SansDependencies<typeof extractGlobPaths>;
    reportCommentResults: SansDependencies<typeof reportCommentResults>;
};
/**
 * Root-level driver to convert a tslint:disable comments to eslint-disables.
 * @see `/docs/Architecture/Comments.md` for documentation.
 */
export declare const convertComments: (dependencies: ConvertCommentsDependencies, { comments }: Pick<TSLintToESLintSettings, "comments">, { typescript }: Pick<AllOriginalConfigurations, "typescript">, ruleEquivalents: Map<string, string[]>) => Promise<ResultWithDataStatus<string[] | undefined>>;
