import { SansDependencies } from "../../binding";
import { ResultWithStatus, TSLintToESLintSettings } from "../../types";
import { convertEditorConfig } from "./convertEditorConfig";
import { reportEditorConfigConversionResults } from "./reporting/reportEditorConfigConversionResults";
import { EditorConfigDescriptor } from "./types";
export type ConvertEditorConfigsDependencies = {
    convertEditorConfig: SansDependencies<typeof convertEditorConfig>;
    editorConfigDescriptors: readonly EditorConfigDescriptor[];
    reportEditorConfigConversionResults: SansDependencies<typeof reportEditorConfigConversionResults>;
};
/**
 * @see /docs/Editors.md for documentation.
 */
export declare const convertEditorConfigs: (dependencies: ConvertEditorConfigsDependencies, settings: TSLintToESLintSettings) => Promise<ResultWithStatus>;
