"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reportEditorConfigConversionResults = void 0;
const reporting_1 = require("../../../reporting");
const reportEditorConfigConversionResults = (dependencies, results) => {
    if (results.successes.size !== 0) {
        (0, reporting_1.logSuccessfulConversions)("editor file", "augmented", results.successes.size, dependencies.logger);
        for (const [filePath, success] of results.successes) {
            if (success.missing.length) {
                (0, reporting_1.logMissingConversionTarget)(`${filePath} editor setting`, (editorSetting) => editorSetting, success.missing, dependencies.logger);
            }
        }
    }
    if (results.failed.size !== 0) {
        (0, reporting_1.logFailedConversions)(Array.from(results.failed.values()).map((fail) => fail.message), dependencies.logger);
    }
};
exports.reportEditorConfigConversionResults = reportEditorConfigConversionResults;
//# sourceMappingURL=reportEditorConfigConversionResults.js.map