"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createESLintConfiguration = void 0;
const createESLintConfiguration = async (dependencies, originalConfigurations, prettier, ruleEquivalents) => {
    // 1a. Raw TSLint rules are mapped to their ESLint equivalents.
    const ruleConversionResults = dependencies.convertRules(originalConfigurations.tslint.full.rules, ruleEquivalents);
    // 1b. Those ESLint equivalents are deduplicated and relevant preset(s) detected.
    return await dependencies.summarizePackageRules(originalConfigurations.eslint, originalConfigurations.tslint, ruleConversionResults, prettier);
};
exports.createESLintConfiguration = createESLintConfiguration;
//# sourceMappingURL=createESLintConfiguration.js.map