"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatConvertedRules = void 0;
const formatMissingRules_1 = require("./formatMissingRules");
const formatConvertedRules = (conversionResults, tslintConfiguration) => {
    const output = {};
    const sortedRuleEntries = Array.from(conversionResults.converted).sort(([ruleNameA], [ruleNameB]) => ruleNameA.localeCompare(ruleNameB));
    for (const [ruleName, rule] of sortedRuleEntries) {
        output[ruleName] = formatConvertedRule(rule);
    }
    if (conversionResults.missing.length !== 0) {
        output["@typescript-eslint/tslint/config"] = (0, formatMissingRules_1.formatMissingRules)(conversionResults.missing, tslintConfiguration.rulesDirectory);
    }
    return output;
};
exports.formatConvertedRules = formatConvertedRules;
const formatConvertedRule = (rule) => {
    return rule.ruleArguments === undefined || rule.ruleArguments.length === 0
        ? rule.ruleSeverity
        : [rule.ruleSeverity, ...rule.ruleArguments];
};
//# sourceMappingURL=formatConvertedRules.js.map