"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatOutput = void 0;
const formatJsonOutput_1 = require("./formatters/formatJsonOutput");
const formatJsOutput_1 = require("./formatters/formatJsOutput");
const formatters = new Map([["js", formatJsOutput_1.formatJsOutput]]);
const formatOutput = (outputPath, configuration) => {
    const customFormatter = formatters.get(getExtension(outputPath));
    const formatter = customFormatter === undefined ? formatJsonOutput_1.formatJsonOutput : formatJsOutput_1.formatJsOutput;
    return formatter(configuration);
};
exports.formatOutput = formatOutput;
const getExtension = (outputPath) => {
    const periodIndex = outputPath.lastIndexOf(".");
    return periodIndex === -1 ? outputPath : outputPath.slice(periodIndex + 1);
};
//# sourceMappingURL=formatOutput.js.map