import { AllOriginalConfigurations } from "../../input/findOriginalConfigurations";
import { SummarizedConfigResultsConfiguration } from "./summarization/types";
/**
 * Turns a raw ESLint configuration summary into ESLint's configuration shape.
 */
export declare const joinConfigConversionResults: (summarizedResults: SummarizedConfigResultsConfiguration, originalConfigurations: AllOriginalConfigurations) => {
    parser: string;
    parserOptions: {
        project: string;
        sourceType: string;
    };
    plugins: string[];
    root: boolean;
    rules: Record<string, string | any[]>;
    extends: string[];
    globals?: Record<string, boolean | undefined> | undefined;
    env: {
        node?: true | undefined;
        es6?: true | undefined;
        browser?: true | undefined;
    };
};
export type JoinedConversionResult = ReturnType<typeof joinConfigConversionResults>;
