"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeExtensions = void 0;
const normalizeRawESLintRuleSeverity_1 = require("./normalizeRawESLintRuleSeverity");
const normalizeExtensions = (extensions) => {
    const mergedRules = new Map();
    for (const extension of extensions) {
        if (extension.rules === undefined) {
            continue;
        }
        for (const ruleName in extension.rules) {
            mergedRules.set(ruleName, formatRuleArguments(ruleName, extension.rules[ruleName]));
        }
    }
    return mergedRules;
};
exports.normalizeExtensions = normalizeExtensions;
const formatRuleArguments = (ruleName, originalValue) => {
    if (originalValue instanceof Array) {
        return {
            ruleArguments: originalValue.slice(1),
            ruleName,
            ruleSeverity: (0, normalizeRawESLintRuleSeverity_1.normalizeRawESLintRuleSeverity)(originalValue[0]),
        };
    }
    return {
        ruleArguments: [],
        ruleName,
        ruleSeverity: (0, normalizeRawESLintRuleSeverity_1.normalizeRawESLintRuleSeverity)(originalValue),
    };
};
//# sourceMappingURL=normalizeExtensions.js.map