"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.choosePackageManager = void 0;
const packageManagers_1 = require("./packageManagers");
const choosePackageManager = async (dependencies) => {
    for (const [packageManager, lockFile] of packageManagers_1.preferredLockfiles) {
        if (await dependencies.fileSystem.fileExists(lockFile)) {
            return packageManager;
        }
    }
    return packageManagers_1.PackageManager.npm;
};
exports.choosePackageManager = choosePackageManager;
//# sourceMappingURL=choosePackageManager.js.map