"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.installationMessages = exports.preferredLockfiles = exports.PackageManager = void 0;
var PackageManager;
(function (PackageManager) {
    PackageManager[PackageManager["npm"] = 0] = "npm";
    PackageManager[PackageManager["pnpm"] = 1] = "pnpm";
    PackageManager[PackageManager["Yarn"] = 2] = "Yarn";
})(PackageManager = exports.PackageManager || (exports.PackageManager = {}));
exports.preferredLockfiles = new Map([
    [PackageManager.npm, "./package-lock.json"],
    [PackageManager.pnpm, "./pnpm-lock.yaml"],
    [PackageManager.Yarn, "./yarn.lock"],
]);
exports.installationMessages = {
    [PackageManager.npm]: (packages) => `npm install ${packages} --save-dev`,
    [PackageManager.pnpm]: (packages) => `pnpm add ${packages} --save-dev`,
    [PackageManager.Yarn]: (packages) => `yarn add ${packages} --dev`,
};
//# sourceMappingURL=packageManagers.js.map