"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ruleConverters = void 0;
const adjacent_overload_signatures_1 = require("./ruleConverters/adjacent-overload-signatures");
const align_1 = require("./ruleConverters/align");
const angular_whitespace_1 = require("./ruleConverters/angular-whitespace");
const array_type_1 = require("./ruleConverters/array-type");
const arrow_parens_1 = require("./ruleConverters/arrow-parens");
const arrow_return_shorthand_1 = require("./ruleConverters/arrow-return-shorthand");
const await_promise_1 = require("./ruleConverters/await-promise");
const ban_comma_operator_1 = require("./ruleConverters/ban-comma-operator");
const ban_ts_ignore_1 = require("./ruleConverters/ban-ts-ignore");
const ban_types_1 = require("./ruleConverters/ban-types");
const binary_expression_operand_order_1 = require("./ruleConverters/binary-expression-operand-order");
const callable_types_1 = require("./ruleConverters/callable-types");
const class_method_newlines_1 = require("./ruleConverters/class-method-newlines");
const class_name_1 = require("./ruleConverters/class-name");
const cognitive_complexity_1 = require("./ruleConverters/cognitive-complexity");
const comment_format_1 = require("./ruleConverters/comment-format");
const component_class_suffix_1 = require("./ruleConverters/component-class-suffix");
const component_max_inline_declarations_1 = require("./ruleConverters/component-max-inline-declarations");
const component_selector_1 = require("./ruleConverters/component-selector");
const consecutive_overloads_1 = require("./ruleConverters/consecutive-overloads");
const contextual_decorator_1 = require("./ruleConverters/contextual-decorator");
const contextual_lifecycle_1 = require("./ruleConverters/contextual-lifecycle");
const curly_1 = require("./ruleConverters/curly");
const cyclomatic_complexity_1 = require("./ruleConverters/cyclomatic-complexity");
const deprecation_1 = require("./ruleConverters/deprecation");
const directive_class_suffix_1 = require("./ruleConverters/directive-class-suffix");
const directive_selector_1 = require("./ruleConverters/directive-selector");
const eofline_1 = require("./ruleConverters/eofline");
const file_name_casing_1 = require("./ruleConverters/file-name-casing");
const forin_1 = require("./ruleConverters/forin");
const function_constructor_1 = require("./ruleConverters/function-constructor");
const import_blacklist_1 = require("./ruleConverters/import-blacklist");
const import_destructuring_spacing_1 = require("./ruleConverters/import-destructuring-spacing");
const increment_decrement_1 = require("./ruleConverters/increment-decrement");
const indent_1 = require("./ruleConverters/indent");
const interface_name_1 = require("./ruleConverters/interface-name");
const interface_over_type_literal_1 = require("./ruleConverters/interface-over-type-literal");
const jsdoc_format_1 = require("./ruleConverters/jsdoc-format");
const jsx_ban_props_1 = require("./ruleConverters/jsx-ban-props");
const jsx_boolean_value_1 = require("./ruleConverters/jsx-boolean-value");
const jsx_curly_spacing_1 = require("./ruleConverters/jsx-curly-spacing");
const jsx_equals_spacing_1 = require("./ruleConverters/jsx-equals-spacing");
const jsx_key_1 = require("./ruleConverters/jsx-key");
const jsx_no_bind_1 = require("./ruleConverters/jsx-no-bind");
const jsx_no_lambda_1 = require("./ruleConverters/jsx-no-lambda");
const jsx_self_close_1 = require("./ruleConverters/jsx-self-close");
const jsx_space_before_trailing_slash_1 = require("./ruleConverters/jsx-space-before-trailing-slash");
const jsx_wrap_multiline_1 = require("./ruleConverters/jsx-wrap-multiline");
const label_position_1 = require("./ruleConverters/label-position");
const linebreak_style_1 = require("./ruleConverters/linebreak-style");
const max_classes_per_file_1 = require("./ruleConverters/max-classes-per-file");
const max_file_line_count_1 = require("./ruleConverters/max-file-line-count");
const max_func_body_length_1 = require("./ruleConverters/max-func-body-length");
const max_line_length_1 = require("./ruleConverters/max-line-length");
const max_switch_cases_1 = require("./ruleConverters/max-switch-cases");
const member_access_1 = require("./ruleConverters/member-access");
const member_ordering_1 = require("./ruleConverters/member-ordering");
const mocha_avoid_only_1 = require("./ruleConverters/mocha-avoid-only");
const new_parens_1 = require("./ruleConverters/new-parens");
const newline_before_return_1 = require("./ruleConverters/newline-before-return");
const newline_per_chained_call_1 = require("./ruleConverters/newline-per-chained-call");
const ngrx_action_hygiene_1 = require("./ruleConverters/ngrx-action-hygiene");
const ngrx_avoid_dispatching_multiple_actions_sequentially_1 = require("./ruleConverters/ngrx-avoid-dispatching-multiple-actions-sequentially");
const ngrx_effect_creator_and_decorator_1 = require("./ruleConverters/ngrx-effect-creator-and-decorator");
const ngrx_no_dispatch_in_effects_1 = require("./ruleConverters/ngrx-no-dispatch-in-effects");
const ngrx_no_duplicate_action_types_1 = require("./ruleConverters/ngrx-no-duplicate-action-types");
const ngrx_no_effect_decorator_1 = require("./ruleConverters/ngrx-no-effect-decorator");
const ngrx_no_effects_in_providers_1 = require("./ruleConverters/ngrx-no-effects-in-providers");
const ngrx_no_multiple_actions_in_effects_1 = require("./ruleConverters/ngrx-no-multiple-actions-in-effects");
const ngrx_no_reducer_in_key_names_1 = require("./ruleConverters/ngrx-no-reducer-in-key-names");
const ngrx_no_typed_store_1 = require("./ruleConverters/ngrx-no-typed-store");
const ngrx_on_reducer_explicit_return_type_1 = require("./ruleConverters/ngrx-on-reducer-explicit-return-type");
const ngrx_selector_for_select_1 = require("./ruleConverters/ngrx-selector-for-select");
const no_all_duplicated_branches_1 = require("./ruleConverters/no-all-duplicated-branches");
const no_alphabetical_sort_1 = require("./ruleConverters/no-alphabetical-sort");
const no_angle_bracket_type_assertion_1 = require("./ruleConverters/no-angle-bracket-type-assertion");
const no_arg_1 = require("./ruleConverters/no-arg");
const no_async_without_await_1 = require("./ruleConverters/no-async-without-await");
const no_attribute_decorator_1 = require("./ruleConverters/no-attribute-decorator");
const no_banned_terms_1 = require("./ruleConverters/no-banned-terms");
const no_big_function_1 = require("./ruleConverters/no-big-function");
const no_bitwise_1 = require("./ruleConverters/no-bitwise");
const no_boolean_literal_compare_1 = require("./ruleConverters/no-boolean-literal-compare");
const no_collapsible_if_1 = require("./ruleConverters/no-collapsible-if");
const no_collection_size_mischeck_1 = require("./ruleConverters/no-collection-size-mischeck");
const no_conditional_assignment_1 = require("./ruleConverters/no-conditional-assignment");
const no_conflicting_lifecycle_1 = require("./ruleConverters/no-conflicting-lifecycle");
const no_consecutive_blank_lines_1 = require("./ruleConverters/no-consecutive-blank-lines");
const no_console_1 = require("./ruleConverters/no-console");
const no_constant_condition_1 = require("./ruleConverters/no-constant-condition");
const no_construct_1 = require("./ruleConverters/no-construct");
const no_control_regex_1 = require("./ruleConverters/no-control-regex");
const no_cookies_1 = require("./ruleConverters/no-cookies");
const no_debugger_1 = require("./ruleConverters/no-debugger");
const no_default_export_1 = require("./ruleConverters/no-default-export");
const no_delete_expression_1 = require("./ruleConverters/no-delete-expression");
const no_document_domain_1 = require("./ruleConverters/no-document-domain");
const no_document_write_1 = require("./ruleConverters/no-document-write");
const no_duplicate_imports_1 = require("./ruleConverters/no-duplicate-imports");
const no_duplicate_string_1 = require("./ruleConverters/no-duplicate-string");
const no_duplicate_super_1 = require("./ruleConverters/no-duplicate-super");
const no_duplicate_switch_case_1 = require("./ruleConverters/no-duplicate-switch-case");
const no_duplicate_variable_1 = require("./ruleConverters/no-duplicate-variable");
const no_duplicated_branches_1 = require("./ruleConverters/no-duplicated-branches");
const no_dynamic_delete_1 = require("./ruleConverters/no-dynamic-delete");
const no_element_overwrite_1 = require("./ruleConverters/no-element-overwrite");
const no_empty_1 = require("./ruleConverters/no-empty");
const no_empty_destructuring_1 = require("./ruleConverters/no-empty-destructuring");
const no_empty_interface_1 = require("./ruleConverters/no-empty-interface");
const no_empty_line_after_opening_brace_1 = require("./ruleConverters/no-empty-line-after-opening-brace");
const no_empty_nested_blocks_1 = require("./ruleConverters/no-empty-nested-blocks");
const no_eval_1 = require("./ruleConverters/no-eval");
const no_exec_script_1 = require("./ruleConverters/no-exec-script");
const no_explicit_any_1 = require("./ruleConverters/no-explicit-any");
const no_extra_semicolon_1 = require("./ruleConverters/no-extra-semicolon");
const no_floating_promises_1 = require("./ruleConverters/no-floating-promises");
const no_for_in_1 = require("./ruleConverters/no-for-in");
const no_for_in_array_1 = require("./ruleConverters/no-for-in-array");
const no_forward_ref_1 = require("./ruleConverters/no-forward-ref");
const no_function_expression_1 = require("./ruleConverters/no-function-expression");
const no_host_metadata_property_1 = require("./ruleConverters/no-host-metadata-property");
const no_identical_conditions_1 = require("./ruleConverters/no-identical-conditions");
const no_identical_expressions_1 = require("./ruleConverters/no-identical-expressions");
const no_identical_functions_1 = require("./ruleConverters/no-identical-functions");
const no_implicit_dependencies_1 = require("./ruleConverters/no-implicit-dependencies");
const no_import_side_effect_1 = require("./ruleConverters/no-import-side-effect");
const no_in_misuse_1 = require("./ruleConverters/no-in-misuse");
const no_inferrable_types_1 = require("./ruleConverters/no-inferrable-types");
const no_input_prefix_1 = require("./ruleConverters/no-input-prefix");
const no_input_rename_1 = require("./ruleConverters/no-input-rename");
const no_inputs_metadata_property_1 = require("./ruleConverters/no-inputs-metadata-property");
const no_internal_module_1 = require("./ruleConverters/no-internal-module");
const no_invalid_await_1 = require("./ruleConverters/no-invalid-await");
const no_invalid_regexp_1 = require("./ruleConverters/no-invalid-regexp");
const no_invalid_template_strings_1 = require("./ruleConverters/no-invalid-template-strings");
const no_invalid_this_1 = require("./ruleConverters/no-invalid-this");
const no_inverted_boolean_check_1 = require("./ruleConverters/no-inverted-boolean-check");
const no_irregular_whitespace_1 = require("./ruleConverters/no-irregular-whitespace");
const no_lifecycle_call_1 = require("./ruleConverters/no-lifecycle-call");
const no_magic_numbers_1 = require("./ruleConverters/no-magic-numbers");
const no_misused_new_1 = require("./ruleConverters/no-misused-new");
const no_multiline_string_1 = require("./ruleConverters/no-multiline-string");
const no_multiline_string_literals_1 = require("./ruleConverters/no-multiline-string-literals");
const no_namespace_1 = require("./ruleConverters/no-namespace");
const no_non_null_assertion_1 = require("./ruleConverters/no-non-null-assertion");
const no_null_keyword_1 = require("./ruleConverters/no-null-keyword");
const no_object_literal_type_assertion_1 = require("./ruleConverters/no-object-literal-type-assertion");
const no_octal_literal_1 = require("./ruleConverters/no-octal-literal");
const no_output_native_1 = require("./ruleConverters/no-output-native");
const no_output_on_prefix_1 = require("./ruleConverters/no-output-on-prefix");
const no_output_rename_1 = require("./ruleConverters/no-output-rename");
const no_outputs_metadata_property_1 = require("./ruleConverters/no-outputs-metadata-property");
const no_parameter_properties_1 = require("./ruleConverters/no-parameter-properties");
const no_parameter_reassignment_1 = require("./ruleConverters/no-parameter-reassignment");
const no_pipe_impure_1 = require("./ruleConverters/no-pipe-impure");
const no_queries_metadata_property_1 = require("./ruleConverters/no-queries-metadata-property");
const no_redundant_boolean_1 = require("./ruleConverters/no-redundant-boolean");
const no_redundant_jsdoc_1 = require("./ruleConverters/no-redundant-jsdoc");
const no_redundant_jump_1 = require("./ruleConverters/no-redundant-jump");
const no_redundant_parentheses_1 = require("./ruleConverters/no-redundant-parentheses");
const no_reference_1 = require("./ruleConverters/no-reference");
const no_reference_import_1 = require("./ruleConverters/no-reference-import");
const no_regex_spaces_1 = require("./ruleConverters/no-regex-spaces");
const no_require_imports_1 = require("./ruleConverters/no-require-imports");
const no_return_await_1 = require("./ruleConverters/no-return-await");
const no_same_line_conditional_1 = require("./ruleConverters/no-same-line-conditional");
const no_self_assignment_1 = require("./ruleConverters/no-self-assignment");
const no_shadowed_variable_1 = require("./ruleConverters/no-shadowed-variable");
const no_small_switch_1 = require("./ruleConverters/no-small-switch");
const no_sparse_arrays_1 = require("./ruleConverters/no-sparse-arrays");
const no_string_literal_1 = require("./ruleConverters/no-string-literal");
const no_string_throw_1 = require("./ruleConverters/no-string-throw");
const no_submodule_imports_1 = require("./ruleConverters/no-submodule-imports");
const no_suspicious_comment_1 = require("./ruleConverters/no-suspicious-comment");
const no_switch_case_fall_through_1 = require("./ruleConverters/no-switch-case-fall-through");
const no_this_assignment_1 = require("./ruleConverters/no-this-assignment");
const no_trailing_whitespace_1 = require("./ruleConverters/no-trailing-whitespace");
const no_unbound_method_1 = require("./ruleConverters/no-unbound-method");
const no_unconditional_jump_1 = require("./ruleConverters/no-unconditional-jump");
const no_unnecessary_class_1 = require("./ruleConverters/no-unnecessary-class");
const no_unnecessary_field_initialization_1 = require("./ruleConverters/no-unnecessary-field-initialization");
const no_unnecessary_initializer_1 = require("./ruleConverters/no-unnecessary-initializer");
const no_unnecessary_qualifier_1 = require("./ruleConverters/no-unnecessary-qualifier");
const no_unnecessary_semicolons_1 = require("./ruleConverters/no-unnecessary-semicolons");
const no_unnecessary_type_assertion_1 = require("./ruleConverters/no-unnecessary-type-assertion");
const no_unsafe_finally_1 = require("./ruleConverters/no-unsafe-finally");
const no_unused_array_1 = require("./ruleConverters/no-unused-array");
const no_unused_expression_1 = require("./ruleConverters/no-unused-expression");
const no_unused_variable_1 = require("./ruleConverters/no-unused-variable");
const no_use_before_declare_1 = require("./ruleConverters/no-use-before-declare");
const no_use_of_empty_return_value_1 = require("./ruleConverters/no-use-of-empty-return-value");
const no_useless_cast_1 = require("./ruleConverters/no-useless-cast");
const no_useless_catch_1 = require("./ruleConverters/no-useless-catch");
const no_var_keyword_1 = require("./ruleConverters/no-var-keyword");
const no_var_requires_1 = require("./ruleConverters/no-var-requires");
const no_variable_usage_before_declaration_1 = require("./ruleConverters/no-variable-usage-before-declaration");
const no_void_expression_1 = require("./ruleConverters/no-void-expression");
const no_with_statement_1 = require("./ruleConverters/no-with-statement");
const non_literal_fs_path_1 = require("./ruleConverters/non-literal-fs-path");
const non_literal_require_1 = require("./ruleConverters/non-literal-require");
const object_literal_key_quotes_1 = require("./ruleConverters/object-literal-key-quotes");
const object_literal_shorthand_1 = require("./ruleConverters/object-literal-shorthand");
const one_line_1 = require("./ruleConverters/one-line");
const one_variable_per_declaration_1 = require("./ruleConverters/one-variable-per-declaration");
const only_arrow_functions_1 = require("./ruleConverters/only-arrow-functions");
const ordered_imports_1 = require("./ruleConverters/ordered-imports");
const parameters_max_number_1 = require("./ruleConverters/parameters-max-number");
const pipe_prefix_1 = require("./ruleConverters/pipe-prefix");
const possible_timing_attack_1 = require("./ruleConverters/possible-timing-attack");
const prefer_array_literal_1 = require("./ruleConverters/prefer-array-literal");
const prefer_conditional_expression_1 = require("./ruleConverters/prefer-conditional-expression");
const prefer_const_1 = require("./ruleConverters/prefer-const");
const prefer_default_last_1 = require("./ruleConverters/prefer-default-last");
const prefer_for_of_1 = require("./ruleConverters/prefer-for-of");
const prefer_function_over_method_1 = require("./ruleConverters/prefer-function-over-method");
const prefer_immediate_return_1 = require("./ruleConverters/prefer-immediate-return");
const prefer_inline_decorator_1 = require("./ruleConverters/prefer-inline-decorator");
const prefer_object_spread_1 = require("./ruleConverters/prefer-object-spread");
const prefer_on_push_component_change_detection_1 = require("./ruleConverters/prefer-on-push-component-change-detection");
const prefer_output_readonly_1 = require("./ruleConverters/prefer-output-readonly");
const prefer_readonly_1 = require("./ruleConverters/prefer-readonly");
const prefer_switch_1 = require("./ruleConverters/prefer-switch");
const prefer_template_1 = require("./ruleConverters/prefer-template");
const promise_function_async_1 = require("./ruleConverters/promise-function-async");
const quotemark_1 = require("./ruleConverters/quotemark");
const radix_1 = require("./ruleConverters/radix");
const react_a11y_accessible_headings_1 = require("./ruleConverters/react-a11y-accessible-headings");
const react_a11y_anchors_1 = require("./ruleConverters/react-a11y-anchors");
const react_a11y_aria_unsupported_elements_1 = require("./ruleConverters/react-a11y-aria-unsupported-elements");
const react_a11y_event_has_role_1 = require("./ruleConverters/react-a11y-event-has-role");
const react_a11y_image_button_has_alt_1 = require("./ruleConverters/react-a11y-image-button-has-alt");
const react_a11y_img_has_alt_1 = require("./ruleConverters/react-a11y-img-has-alt");
const react_a11y_lang_1 = require("./ruleConverters/react-a11y-lang");
const react_a11y_no_onchange_1 = require("./ruleConverters/react-a11y-no-onchange");
const react_a11y_props_1 = require("./ruleConverters/react-a11y-props");
const react_a11y_proptypes_1 = require("./ruleConverters/react-a11y-proptypes");
const react_a11y_role_1 = require("./ruleConverters/react-a11y-role");
const react_a11y_role_has_required_aria_props_1 = require("./ruleConverters/react-a11y-role-has-required-aria-props");
const react_a11y_role_supports_aria_props_1 = require("./ruleConverters/react-a11y-role-supports-aria-props");
const react_a11y_tabindex_no_positive_1 = require("./ruleConverters/react-a11y-tabindex-no-positive");
const react_no_dangerous_html_1 = require("./ruleConverters/react-no-dangerous-html");
const react_tsx_curly_spacing_1 = require("./ruleConverters/react-tsx-curly-spacing");
const react_unused_props_and_state_1 = require("./ruleConverters/react-unused-props-and-state");
const relative_url_prefix_1 = require("./ruleConverters/relative-url-prefix");
const restrict_plus_operands_1 = require("./ruleConverters/restrict-plus-operands");
const rxjs_add_1 = require("./ruleConverters/rxjs-add");
const rxjs_ban_observables_1 = require("./ruleConverters/rxjs-ban-observables");
const rxjs_ban_operators_1 = require("./ruleConverters/rxjs-ban-operators");
const rxjs_deep_operators_1 = require("./ruleConverters/rxjs-deep-operators");
const rxjs_finnish_1 = require("./ruleConverters/rxjs-finnish");
const rxjs_just_1 = require("./ruleConverters/rxjs-just");
const rxjs_no_add_1 = require("./ruleConverters/rxjs-no-add");
const rxjs_no_async_subscribe_1 = require("./ruleConverters/rxjs-no-async-subscribe");
const rxjs_no_compat_1 = require("./ruleConverters/rxjs-no-compat");
const rxjs_no_connectable_1 = require("./ruleConverters/rxjs-no-connectable");
const rxjs_no_create_1 = require("./ruleConverters/rxjs-no-create");
const rxjs_no_deep_operators_1 = require("./ruleConverters/rxjs-no-deep-operators");
const rxjs_no_explicit_generics_1 = require("./ruleConverters/rxjs-no-explicit-generics");
const rxjs_no_exposed_subjects_1 = require("./ruleConverters/rxjs-no-exposed-subjects");
const rxjs_no_finnish_1 = require("./ruleConverters/rxjs-no-finnish");
const rxjs_no_ignored_error_1 = require("./ruleConverters/rxjs-no-ignored-error");
const rxjs_no_ignored_notifier_1 = require("./ruleConverters/rxjs-no-ignored-notifier");
const rxjs_no_ignored_observable_1 = require("./ruleConverters/rxjs-no-ignored-observable");
const rxjs_no_ignored_replay_buffer_1 = require("./ruleConverters/rxjs-no-ignored-replay-buffer");
const rxjs_no_ignored_subscribe_1 = require("./ruleConverters/rxjs-no-ignored-subscribe");
const rxjs_no_ignored_subscription_1 = require("./ruleConverters/rxjs-no-ignored-subscription");
const rxjs_no_ignored_takewhile_value_1 = require("./ruleConverters/rxjs-no-ignored-takewhile-value");
const rxjs_no_implicit_any_catch_1 = require("./ruleConverters/rxjs-no-implicit-any-catch");
const rxjs_no_index_1 = require("./ruleConverters/rxjs-no-index");
const rxjs_no_internal_1 = require("./ruleConverters/rxjs-no-internal");
const rxjs_no_nested_subscribe_1 = require("./ruleConverters/rxjs-no-nested-subscribe");
const rxjs_no_operator_1 = require("./ruleConverters/rxjs-no-operator");
const rxjs_no_patched_1 = require("./ruleConverters/rxjs-no-patched");
const rxjs_no_redundant_notify_1 = require("./ruleConverters/rxjs-no-redundant-notify");
const rxjs_no_sharereplay_1 = require("./ruleConverters/rxjs-no-sharereplay");
const rxjs_no_subclass_1 = require("./ruleConverters/rxjs-no-subclass");
const rxjs_no_subject_unsubscribe_1 = require("./ruleConverters/rxjs-no-subject-unsubscribe");
const rxjs_no_subject_value_1 = require("./ruleConverters/rxjs-no-subject-value");
const rxjs_no_tap_1 = require("./ruleConverters/rxjs-no-tap");
const rxjs_no_topromise_1 = require("./ruleConverters/rxjs-no-topromise");
const rxjs_no_unbound_methods_1 = require("./ruleConverters/rxjs-no-unbound-methods");
const rxjs_no_unsafe_catch_1 = require("./ruleConverters/rxjs-no-unsafe-catch");
const rxjs_no_unsafe_first_1 = require("./ruleConverters/rxjs-no-unsafe-first");
const rxjs_no_unsafe_scope_1 = require("./ruleConverters/rxjs-no-unsafe-scope");
const rxjs_no_unsafe_subject_next_1 = require("./ruleConverters/rxjs-no-unsafe-subject-next");
const rxjs_no_unsafe_switchmap_1 = require("./ruleConverters/rxjs-no-unsafe-switchmap");
const rxjs_no_unsafe_takeuntil_1 = require("./ruleConverters/rxjs-no-unsafe-takeuntil");
const rxjs_no_unsafe_takewhile_1 = require("./ruleConverters/rxjs-no-unsafe-takewhile");
const rxjs_no_unused_add_1 = require("./ruleConverters/rxjs-no-unused-add");
const rxjs_no_wholesale_1 = require("./ruleConverters/rxjs-no-wholesale");
const rxjs_prefer_add_1 = require("./ruleConverters/rxjs-prefer-add");
const rxjs_prefer_angular_async_pipe_1 = require("./ruleConverters/rxjs-prefer-angular-async-pipe");
const rxjs_prefer_angular_composition_1 = require("./ruleConverters/rxjs-prefer-angular-composition");
const rxjs_prefer_angular_takeuntil_1 = require("./ruleConverters/rxjs-prefer-angular-takeuntil");
const rxjs_prefer_observer_1 = require("./ruleConverters/rxjs-prefer-observer");
const rxjs_suffix_subjects_1 = require("./ruleConverters/rxjs-suffix-subjects");
const rxjs_throw_error_1 = require("./ruleConverters/rxjs-throw-error");
const semicolon_1 = require("./ruleConverters/semicolon");
const space_before_function_paren_1 = require("./ruleConverters/space-before-function-paren");
const space_within_parens_1 = require("./ruleConverters/space-within-parens");
const strict_boolean_expressions_1 = require("./ruleConverters/strict-boolean-expressions");
const switch_default_1 = require("./ruleConverters/switch-default");
const template_accessibility_alt_text_1 = require("./ruleConverters/template-accessibility-alt-text");
const template_accessibility_elements_content_1 = require("./ruleConverters/template-accessibility-elements-content");
const template_accessibility_label_for_1 = require("./ruleConverters/template-accessibility-label-for");
const template_accessibility_tabindex_no_positive_1 = require("./ruleConverters/template-accessibility-tabindex-no-positive");
const template_accessibility_table_scope_1 = require("./ruleConverters/template-accessibility-table-scope");
const template_accessibility_valid_aria_1 = require("./ruleConverters/template-accessibility-valid-aria");
const template_banana_in_box_1 = require("./ruleConverters/template-banana-in-box");
const template_click_events_have_key_events_1 = require("./ruleConverters/template-click-events-have-key-events");
const template_conditional_complexity_1 = require("./ruleConverters/template-conditional-complexity");
const template_cyclomatic_complexity_1 = require("./ruleConverters/template-cyclomatic-complexity");
const template_i18n_1 = require("./ruleConverters/template-i18n");
const template_mouse_events_have_key_events_1 = require("./ruleConverters/template-mouse-events-have-key-events");
const template_no_any_1 = require("./ruleConverters/template-no-any");
const template_no_autofocus_1 = require("./ruleConverters/template-no-autofocus");
const template_no_call_expression_1 = require("./ruleConverters/template-no-call-expression");
const template_no_distracting_elements_1 = require("./ruleConverters/template-no-distracting-elements");
const template_no_negated_async_1 = require("./ruleConverters/template-no-negated-async");
const template_use_track_by_function_1 = require("./ruleConverters/template-use-track-by-function");
const trailing_comma_1 = require("./ruleConverters/trailing-comma");
const triple_equals_1 = require("./ruleConverters/triple-equals");
const type_literal_delimiter_1 = require("./ruleConverters/type-literal-delimiter");
const typedef_1 = require("./ruleConverters/typedef");
const typedef_whitespace_1 = require("./ruleConverters/typedef-whitespace");
const typeof_compare_1 = require("./ruleConverters/typeof-compare");
const underscore_consistent_invocation_1 = require("./ruleConverters/underscore-consistent-invocation");
const unified_signatures_1 = require("./ruleConverters/unified-signatures");
const unnecessary_bind_1 = require("./ruleConverters/unnecessary-bind");
const unnecessary_constructor_1 = require("./ruleConverters/unnecessary-constructor");
const use_component_selector_1 = require("./ruleConverters/use-component-selector");
const use_component_view_encapsulation_1 = require("./ruleConverters/use-component-view-encapsulation");
const use_default_type_parameter_1 = require("./ruleConverters/use-default-type-parameter");
const use_injectable_provided_in_1 = require("./ruleConverters/use-injectable-provided-in");
const use_isnan_1 = require("./ruleConverters/use-isnan");
const use_lifecycle_interface_1 = require("./ruleConverters/use-lifecycle-interface");
const use_pipe_decorator_1 = require("./ruleConverters/use-pipe-decorator");
const use_pipe_transform_interface_1 = require("./ruleConverters/use-pipe-transform-interface");
const use_primitive_type_1 = require("./ruleConverters/use-primitive-type");
const variable_name_1 = require("./ruleConverters/variable-name");
/**
 * Keys TSLint rule names to their ESLint rule converters.
 */
exports.ruleConverters = new Map([
    ["adjacent-overload-signatures", adjacent_overload_signatures_1.convertAdjacentOverloadSignatures],
    ["align", align_1.convertAlign],
    ["angular-whitespace", angular_whitespace_1.convertAngularWhitespace],
    ["array-type", array_type_1.convertArrayType],
    ["arrow-parens", arrow_parens_1.convertArrowParens],
    ["arrow-return-shorthand", arrow_return_shorthand_1.convertArrowReturnShorthand],
    ["await-promise", await_promise_1.convertAwaitPromise],
    ["ban-comma-operator", ban_comma_operator_1.convertBanCommaOperator],
    ["ban-ts-ignore", ban_ts_ignore_1.convertBanTsIgnore],
    ["ban-types", ban_types_1.convertBanTypes],
    ["binary-expression-operand-order", binary_expression_operand_order_1.convertBinaryExpressionOperandOrder],
    ["callable-types", callable_types_1.convertCallableTypes],
    ["class-method-newlines", class_method_newlines_1.convertClassMethodNewlines],
    ["class-name", class_name_1.convertClassName],
    ["cognitive-complexity", cognitive_complexity_1.convertCognitiveComplexity],
    ["comment-format", comment_format_1.convertCommentFormat],
    ["component-class-suffix", component_class_suffix_1.convertComponentClassSuffix],
    ["component-max-inline-declarations", component_max_inline_declarations_1.convertComponentMaxInlineDeclarations],
    ["component-selector", component_selector_1.convertComponentSelector],
    ["consecutive-overloads", consecutive_overloads_1.convertConsecutiveOverloads],
    ["contextual-decorator", contextual_decorator_1.convertContextualDecorator],
    ["contextual-lifecycle", contextual_lifecycle_1.convertContextualLifecycle],
    ["convert-react-a11y-accessible-headings", react_a11y_accessible_headings_1.convertReactA11yAccessibleHeadings],
    ["curly", curly_1.convertCurly],
    ["cyclomatic-complexity", cyclomatic_complexity_1.convertCyclomaticComplexity],
    ["deprecation", deprecation_1.convertDeprecation],
    ["directive-class-suffix", directive_class_suffix_1.convertDirectiveClassSuffix],
    ["directive-selector", directive_selector_1.convertDirectiveSelector],
    ["eofline", eofline_1.convertEofline],
    ["file-name-casing", file_name_casing_1.convertFileNameCasing],
    ["forin", forin_1.convertForin],
    ["function-constructor", function_constructor_1.convertFunctionConstructor],
    ["import-blacklist", import_blacklist_1.convertImportBlacklist],
    ["import-destructuring-spacing", import_destructuring_spacing_1.convertImportDestructuringSpacing],
    ["increment-decrement", increment_decrement_1.convertIncrementDecrement],
    ["indent", indent_1.convertIndent],
    ["interface-name", interface_name_1.convertInterfaceName],
    ["interface-over-type-literal", interface_over_type_literal_1.convertInterfaceOverTypeLiteral],
    ["jsdoc-format", jsdoc_format_1.convertJSDocFormat],
    ["jsx-ban-props", jsx_ban_props_1.convertJsxBanProps],
    ["jsx-boolean-value", jsx_boolean_value_1.convertJsxBooleanValue],
    ["jsx-curly-spacing", jsx_curly_spacing_1.convertJsxCurlySpacing],
    ["jsx-equals-spacing", jsx_equals_spacing_1.convertJsxEqualsSpacing],
    ["jsx-key", jsx_key_1.convertJsxKey],
    ["jsx-no-bind", jsx_no_bind_1.convertJsxNoBind],
    ["jsx-no-lambda", jsx_no_lambda_1.convertJsxNoLambda],
    ["jsx-self-close", jsx_self_close_1.convertJsxSelfClose],
    ["jsx-space-before-trailing-slash", jsx_space_before_trailing_slash_1.convertJsxSpaceBeforeTrailingSlash],
    ["jsx-wrap-multiline", jsx_wrap_multiline_1.convertJsxWrapMultiline],
    ["label-position", label_position_1.convertLabelPosition],
    ["linebreak-style", linebreak_style_1.convertLinebreakStyle],
    ["max-classes-per-file", max_classes_per_file_1.convertMaxClassesPerFile],
    ["max-file-line-count", max_file_line_count_1.convertMaxFileLineCount],
    ["max-func-body-length", max_func_body_length_1.convertMaxFuncBodyLength],
    ["max-line-length", max_line_length_1.convertMaxLineLength],
    ["max-switch-cases", max_switch_cases_1.convertMaxSwitchCases],
    ["member-access", member_access_1.convertMemberAccess],
    ["member-ordering", member_ordering_1.convertMemberOrdering],
    ["mocha-avoid-only", mocha_avoid_only_1.convertMochaAvoidOnly],
    ["new-parens", new_parens_1.convertNewParens],
    ["newline-before-return", newline_before_return_1.convertNewlineBeforeReturn],
    ["newline-per-chained-call", newline_per_chained_call_1.convertNewlinePerChainedCall],
    ["ngrx-action-hygiene", ngrx_action_hygiene_1.convertNgrxActionHygiene],
    [
        "ngrx-avoid-dispatching-multiple-actions-sequentially",
        ngrx_avoid_dispatching_multiple_actions_sequentially_1.convertNgrxAvoidDispatchingMultipleActionsSequentially,
    ],
    ["ngrx-effect-creator-and-decorator", ngrx_effect_creator_and_decorator_1.convertNgrxEffectCreatorAndDecorator],
    ["ngrx-no-dispatch-in-effects", ngrx_no_dispatch_in_effects_1.convertNgrxNoDispatchInEffects],
    ["ngrx-no-duplicate-action-types", ngrx_no_duplicate_action_types_1.convertNgrxNoDuplicateActionTypes],
    ["ngrx-no-effect-decorator", ngrx_no_effect_decorator_1.convertNgrxNoEffectDecorator],
    ["ngrx-no-effects-in-providers", ngrx_no_effects_in_providers_1.convertNgrxNoEffectsInProviders],
    ["ngrx-no-multiple-actions-in-effects", ngrx_no_multiple_actions_in_effects_1.convertNgrxNoMultipleActionsInEffects],
    ["ngrx-no-reducer-in-key-names", ngrx_no_reducer_in_key_names_1.convertNgrxNoReducerInKeyNames],
    ["ngrx-no-typed-store", ngrx_no_typed_store_1.convertNgrxNoTypedStore],
    ["ngrx-on-reducer-explicit-return-type", ngrx_on_reducer_explicit_return_type_1.convertNgrxOnReducerExplicitReturnType],
    ["ngrx-selector-for-select", ngrx_selector_for_select_1.convertNgrxSelectorForSelect],
    ["no-all-duplicated-branches", no_all_duplicated_branches_1.convertNoAllDuplicatedBranches],
    ["no-alphabetical-sort", no_alphabetical_sort_1.convertNoAlphabeticalSort],
    ["no-angle-bracket-type-assertion", no_angle_bracket_type_assertion_1.convertNoAngleBracketTypeAssertion],
    ["no-any", no_explicit_any_1.convertNoExplicitAny],
    ["no-arg", no_arg_1.convertNoArg],
    ["no-async-without-await", no_async_without_await_1.convertNoAsyncWithoutAwait],
    ["no-attribute-decorator", no_attribute_decorator_1.convertNoAttributeDecorator],
    ["no-banned-terms", no_banned_terms_1.convertNoBannedTerms],
    ["no-big-function", no_big_function_1.convertNoBigFunction],
    ["no-bitwise", no_bitwise_1.convertNoBitwise],
    ["no-boolean-literal-compare", no_boolean_literal_compare_1.convertNoBooleanLiteralCompare],
    ["no-collapsible-if", no_collapsible_if_1.convertNoCollapsibleIf],
    ["no-collection-size-mischeck", no_collection_size_mischeck_1.convertNoCollectionSizeMischeck],
    ["no-conditional-assignment", no_conditional_assignment_1.convertNoConditionalAssignment],
    ["no-conflicting-lifecycle", no_conflicting_lifecycle_1.convertNoConflictingLifecycle],
    ["no-consecutive-blank-lines", no_consecutive_blank_lines_1.convertNoConsecutiveBlankLines],
    ["no-console", no_console_1.convertNoConsole],
    ["no-constant-condition", no_constant_condition_1.convertNoConstantCondition],
    ["no-construct", no_construct_1.convertNoConstruct],
    ["no-control-regex", no_control_regex_1.convertNoControlRegex],
    ["no-cookies", no_cookies_1.convertNoCookies],
    ["no-debugger", no_debugger_1.convertNoDebugger],
    ["no-default-export", no_default_export_1.convertNoDefaultExport],
    ["no-delete-expression", no_delete_expression_1.convertNoDeleteExpression],
    ["no-document-domain", no_document_domain_1.convertNoDocumentDomain],
    ["no-document-write", no_document_write_1.convertNoDocumentWrite],
    ["no-duplicate-imports", no_duplicate_imports_1.convertNoDuplicateImports],
    ["no-duplicate-string", no_duplicate_string_1.convertNoDuplicateString],
    ["no-duplicate-super", no_duplicate_super_1.convertNoDuplicateSuper],
    ["no-duplicate-switch-case", no_duplicate_switch_case_1.convertNoDuplicateSwitchCase],
    ["no-duplicate-variable", no_duplicate_variable_1.convertNoDuplicateVariable],
    ["no-duplicated-branches", no_duplicated_branches_1.convertNoDuplicatedBranches],
    ["no-dynamic-delete", no_dynamic_delete_1.convertNoDynamicDelete],
    ["no-element-overwrite", no_element_overwrite_1.convertNoElementOverwrite],
    ["no-empty-destructuring", no_empty_destructuring_1.convertNoEmptyDestructuring],
    ["no-empty-interface", no_empty_interface_1.convertNoEmptyInterface],
    ["no-empty-line-after-opening-brace", no_empty_line_after_opening_brace_1.convertNoEmptyLineAfterOpeningBrace],
    ["no-empty-nested-blocks", no_empty_nested_blocks_1.convertNoEmptyNestedBlocks],
    ["no-empty", no_empty_1.convertNoEmpty],
    ["no-eval", no_eval_1.convertNoEval],
    ["no-exec-script", no_exec_script_1.convertNoExecScript],
    ["no-extra-semicolon", no_extra_semicolon_1.convertNoExtraSemicolon],
    ["no-floating-promises", no_floating_promises_1.convertNoFloatingPromises],
    ["no-for-in-array", no_for_in_array_1.convertNoForInArray],
    ["no-for-in", no_for_in_1.convertNoForIn],
    ["no-forward-ref", no_forward_ref_1.convertNoForwardRef],
    ["no-function-expression", no_function_expression_1.convertNoFunctionExpression],
    ["no-host-metadata-property", no_host_metadata_property_1.convertNoHostMetadataProperty],
    ["no-identical-conditions", no_identical_conditions_1.convertNoIdenticalConditions],
    ["no-identical-expressions", no_identical_expressions_1.convertNoIdenticalExpressions],
    ["no-identical-functions", no_identical_functions_1.convertNoIdenticalFunctions],
    ["no-implicit-dependencies", no_implicit_dependencies_1.convertNoImplicitDependencies],
    ["no-import-side-effect", no_import_side_effect_1.convertNoImportSideEffect],
    ["no-in-misuse", no_in_misuse_1.convertNoInMisuse],
    ["no-inferrable-types", no_inferrable_types_1.convertNoInferrableTypes],
    ["no-input-prefix", no_input_prefix_1.convertNoInputPrefix],
    ["no-input-rename", no_input_rename_1.convertNoInputRename],
    ["no-inputs-metadata-property", no_inputs_metadata_property_1.convertNoInputsMetadataProperty],
    ["no-internal-module", no_internal_module_1.convertNoInternalModule],
    ["no-invalid-await", no_invalid_await_1.convertNoInvalidAwait],
    ["no-invalid-regexp", no_invalid_regexp_1.convertNoInvalidRegexp],
    ["no-invalid-template-strings", no_invalid_template_strings_1.convertNoInvalidTemplateStrings],
    ["no-invalid-this", no_invalid_this_1.convertNoInvalidThis],
    ["no-inverted-boolean-check", no_inverted_boolean_check_1.convertNoInvertedBooleanCheck],
    ["no-irregular-whitespace", no_irregular_whitespace_1.convertNoIrregularWhitespace],
    ["no-lifecycle-call", no_lifecycle_call_1.convertNoLifecycleCall],
    ["no-magic-numbers", no_magic_numbers_1.convertNoMagicNumbers],
    ["no-misused-new", no_misused_new_1.convertNoMisusedNew],
    ["no-multiline-string-literals", no_multiline_string_literals_1.convertNoMultilineStringLiterals],
    ["no-multiline-string", no_multiline_string_1.convertNoMultilineString],
    ["no-namespace", no_namespace_1.convertNoNamespace],
    ["no-non-null-assertion", no_non_null_assertion_1.convertNoNonNullAssertion],
    ["no-null-keyword", no_null_keyword_1.convertNoNullKeyword],
    ["no-object-literal-type-assertion", no_object_literal_type_assertion_1.convertNoObjectLiteralTypeAssertion],
    ["no-octal-literal", no_octal_literal_1.convertNoOctalLiteral],
    ["no-output-native", no_output_native_1.convertNoOutputNative],
    ["no-output-on-prefix", no_output_on_prefix_1.convertNoOutputOnPrefix],
    ["no-output-rename", no_output_rename_1.convertNoOutputRename],
    ["no-outputs-metadata-property", no_outputs_metadata_property_1.convertNoOutputsMetadataProperty],
    ["no-parameter-properties", no_parameter_properties_1.convertNoParameterProperties],
    ["no-parameter-reassignment", no_parameter_reassignment_1.convertNoParameterReassignment],
    ["no-pipe-impure", no_pipe_impure_1.convertNoPipeImpure],
    ["no-queries-metadata-property", no_queries_metadata_property_1.convertNoQueriesMetadataProperty],
    ["no-redundant-boolean", no_redundant_boolean_1.convertNoRedundantBoolean],
    ["no-redundant-jsdoc", no_redundant_jsdoc_1.convertNoRedundantJsdoc],
    ["no-redundant-jump", no_redundant_jump_1.convertNoRedundantJump],
    ["no-redundant-parentheses", no_redundant_parentheses_1.convertNoRedundantParentheses],
    ["no-reference-import", no_reference_import_1.convertNoReferenceImport],
    ["no-reference", no_reference_1.convertNoReference],
    ["no-regex-spaces", no_regex_spaces_1.convertNoRegexSpaces],
    ["no-require-imports", no_require_imports_1.convertNoRequireImports],
    ["no-return-await", no_return_await_1.convertNoReturnAwait],
    ["no-same-line-conditional", no_same_line_conditional_1.convertNoSameLineConditional],
    ["no-self-assignment", no_self_assignment_1.convertNoSelfAssignment],
    ["no-shadowed-variable", no_shadowed_variable_1.convertNoShadowedVariable],
    ["no-small-switch", no_small_switch_1.convertNoSmallSwitch],
    ["no-sparse-arrays", no_sparse_arrays_1.convertNoSparseArrays],
    ["no-string-literal", no_string_literal_1.convertNoStringLiteral],
    ["no-string-throw", no_string_throw_1.convertNoStringThrow],
    ["no-submodule-imports", no_submodule_imports_1.convertNoSubmoduleImports],
    ["no-suspicious-comment", no_suspicious_comment_1.convertNoSuspiciousComment],
    ["no-switch-case-fall-through", no_switch_case_fall_through_1.convertNoSwitchCaseFallThrough],
    ["no-this-assignment", no_this_assignment_1.convertNoThisAssignment],
    ["no-trailing-whitespace", no_trailing_whitespace_1.convertNoTrailingWhitespace],
    ["no-unbound-method", no_unbound_method_1.convertNoUnboundMethod],
    ["no-unconditional-jump", no_unconditional_jump_1.convertNoUnconditionalJump],
    ["no-unnecessary-class", no_unnecessary_class_1.convertNoUnnecessaryClass],
    ["no-unnecessary-field-initialization", no_unnecessary_field_initialization_1.convertNoUnnecessaryFieldInitialization],
    ["no-unnecessary-initializer", no_unnecessary_initializer_1.convertNoUnnecessaryInitializer],
    ["no-unnecessary-qualifier", no_unnecessary_qualifier_1.convertNoUnnecessaryQualifier],
    ["no-unnecessary-semicolons", no_unnecessary_semicolons_1.convertNoUnnecessarySemicolons],
    ["no-unnecessary-type-assertion", no_unnecessary_type_assertion_1.convertNoUnnecessaryTypeAssertion],
    ["no-unsafe-finally", no_unsafe_finally_1.convertNoUnsafeFinally],
    ["no-unused-array", no_unused_array_1.convertNoUnusedArray],
    ["no-unused-expression", no_unused_expression_1.convertNoUnusedExpression],
    ["no-unused-variable", no_unused_variable_1.convertNoUnusedVariable],
    ["no-use-before-declare", no_use_before_declare_1.convertNoUseBeforeDeclare],
    ["no-use-of-empty-return-value", no_use_of_empty_return_value_1.convertNoUseOfEmptyReturnValue],
    ["no-useless-cast", no_useless_cast_1.convertNoUselessCast],
    ["no-useless-catch", no_useless_catch_1.convertNoUselessCatch],
    ["no-var-keyword", no_var_keyword_1.convertNoVarKeyword],
    ["no-var-requires", no_var_requires_1.convertNoVarRequires],
    ["no-variable-usage-before-declaration", no_variable_usage_before_declaration_1.convertNoVariableUsageBeforeDeclaration],
    ["no-void-expression", no_void_expression_1.convertNoVoidExpression],
    ["no-with-statement", no_with_statement_1.convertNoWithStatement],
    ["non-literal-fs-path", non_literal_fs_path_1.convertNonLiteralFsPath],
    ["non-literal-require", non_literal_require_1.convertNonLiteralRequire],
    ["object-literal-key-quotes", object_literal_key_quotes_1.convertObjectLiteralKeyQuotes],
    ["object-literal-shorthand", object_literal_shorthand_1.convertObjectLiteralShorthand],
    ["one-line", one_line_1.convertOneLine],
    ["one-variable-per-declaration", one_variable_per_declaration_1.convertOneVariablePerDeclaration],
    ["only-arrow-functions", only_arrow_functions_1.convertOnlyArrowFunctions],
    ["ordered-imports", ordered_imports_1.convertOrderedImports],
    ["parameters-max-number", parameters_max_number_1.convertParametersMaxNumber],
    ["pipe-prefix", pipe_prefix_1.convertPipePrefix],
    ["possible-timing-attack", possible_timing_attack_1.convertPossibleTimingAttack],
    ["prefer-array-literal", prefer_array_literal_1.convertPreferArrayLiteral],
    ["prefer-conditional-expression", prefer_conditional_expression_1.convertPreferConditionalExpression],
    ["prefer-const", prefer_const_1.convertPreferConst],
    ["prefer-default-last", prefer_default_last_1.convertPreferDefaultLast],
    ["prefer-for-of", prefer_for_of_1.convertPreferForOf],
    ["prefer-function-over-method", prefer_function_over_method_1.convertPreferFunctionOverMethod],
    ["prefer-immediate-return", prefer_immediate_return_1.convertPreferImmediateReturn],
    ["prefer-inline-decorator", prefer_inline_decorator_1.convertPreferInlineDecorator],
    ["prefer-object-spread", prefer_object_spread_1.convertPreferObjectSpread],
    ["prefer-on-push-component-change-detection", prefer_on_push_component_change_detection_1.convertPreferOnPushComponentChangeDetection],
    ["prefer-output-readonly", prefer_output_readonly_1.convertPreferOutputReadonly],
    ["prefer-readonly", prefer_readonly_1.convertPreferReadonly],
    ["prefer-switch", prefer_switch_1.convertPreferSwitch],
    ["prefer-template", prefer_template_1.convertPreferTemplate],
    ["promise-function-async", promise_function_async_1.convertPromiseFunctionAsync],
    ["quotemark", quotemark_1.convertQuotemark],
    ["radix", radix_1.convertRadix],
    ["react-a11y-anchors", react_a11y_anchors_1.convertReactA11yAnchors],
    ["react-a11y-aria-unsupported-elements", react_a11y_aria_unsupported_elements_1.convertReactA11yAriaUnsupportedElements],
    ["react-a11y-event-has-role", react_a11y_event_has_role_1.convertReactA11yEventHasRole],
    ["react-a11y-image-button-has-alt", react_a11y_image_button_has_alt_1.convertReactA11yImageButtonHasAlt],
    ["react-a11y-img-has-alt", react_a11y_img_has_alt_1.convertReactA11yImgHasAlt],
    ["react-a11y-lang", react_a11y_lang_1.convertReactA11yLang],
    ["react-a11y-no-onchange", react_a11y_no_onchange_1.convertReactA11yNoOnchange],
    ["react-a11y-props", react_a11y_props_1.convertReactA11yProps],
    ["react-a11y-proptypes", react_a11y_proptypes_1.convertReactA11yProptypes],
    ["react-a11y-role-has-required-aria-props", react_a11y_role_has_required_aria_props_1.convertReactA11yRoleHasRequiredAriaProps],
    ["react-a11y-role-supports-aria-props", react_a11y_role_supports_aria_props_1.convertReactA11yRoleSupportsAriaProps],
    ["react-a11y-role", react_a11y_role_1.convertReactA11yRole],
    ["react-a11y-tabindex-no-positive", react_a11y_tabindex_no_positive_1.convertReactA11yTabIndexNoPositive],
    ["react-no-dangerous-html", react_no_dangerous_html_1.convertReactNoDangerousHtml],
    ["react-tsx-curly-spacing", react_tsx_curly_spacing_1.convertReactTsxCurlySpacing],
    ["react-unused-props-and-state", react_unused_props_and_state_1.convertReactUnusedPropsAndState],
    ["relative-url-prefix", relative_url_prefix_1.convertRelativeUrlPrefix],
    ["restrict-plus-operands", restrict_plus_operands_1.convertRestrictPlusOperands],
    ["rxjs-add", rxjs_add_1.convertRxjsAdd],
    ["rxjs-ban-observables", rxjs_ban_observables_1.convertRxjsBanObservables],
    ["rxjs-ban-operators", rxjs_ban_operators_1.convertRxjsBanOperators],
    ["rxjs-deep-operators", rxjs_deep_operators_1.convertRxjsDeepOperators],
    ["rxjs-finnish", rxjs_finnish_1.convertRxjsFinnish],
    ["rxjs-just", rxjs_just_1.convertRxjsJust],
    ["rxjs-no-add", rxjs_no_add_1.convertRxjsNoAdd],
    ["rxjs-no-async-subscribe", rxjs_no_async_subscribe_1.convertRxjsNoAsyncSubscribe],
    ["rxjs-no-compat", rxjs_no_compat_1.convertRxjsNoCompat],
    ["rxjs-no-connectable", rxjs_no_connectable_1.convertRxjsNoConnectable],
    ["rxjs-no-create", rxjs_no_create_1.convertRxjsNoCreate],
    ["rxjs-no-deep-operators", rxjs_no_deep_operators_1.convertRxjsNoDeepOperators],
    ["rxjs-no-do", rxjs_no_tap_1.convertRxjsNoTap],
    ["rxjs-no-explicit-generics", rxjs_no_explicit_generics_1.convertRxjsNoExplicitGenerics],
    ["rxjs-no-exposed-subjects", rxjs_no_exposed_subjects_1.convertRxjsNoExposedSubjects],
    ["rxjs-no-finnish", rxjs_no_finnish_1.convertRxjsNoFinnish],
    ["rxjs-no-ignored-error", rxjs_no_ignored_error_1.convertRxjsNoIgnoredError],
    ["rxjs-no-ignored-notifier", rxjs_no_ignored_notifier_1.convertRxjsNoIgnoredNotifier],
    ["rxjs-no-ignored-observable", rxjs_no_ignored_observable_1.convertRxjsNoIgnoredObservable],
    ["rxjs-no-ignored-replay-buffer", rxjs_no_ignored_replay_buffer_1.convertRxjsNoIgnoredReplayBuffer],
    ["rxjs-no-ignored-subscribe", rxjs_no_ignored_subscribe_1.convertRxjsNoIgnoredSubscribe],
    ["rxjs-no-ignored-subscription", rxjs_no_ignored_subscription_1.convertRxjsNoIgnoredSubscription],
    ["rxjs-no-ignored-takewhile-value", rxjs_no_ignored_takewhile_value_1.convertRxjsNoIgnoredTakeWhileValue],
    ["rxjs-no-implicit-any-catch", rxjs_no_implicit_any_catch_1.convertRxjsNoImplicitAnyCatch],
    ["rxjs-no-index", rxjs_no_index_1.convertRxjsNoIndex],
    ["rxjs-no-internal", rxjs_no_internal_1.convertRxjsNoInternal],
    ["rxjs-no-nested-subscribe", rxjs_no_nested_subscribe_1.convertRxjsNoNestedSubscribe],
    ["rxjs-no-operator", rxjs_no_operator_1.convertRxjsNoOperator],
    ["rxjs-no-patched", rxjs_no_patched_1.convertRxjsNoPatched],
    ["rxjs-no-redundant-notify", rxjs_no_redundant_notify_1.convertRxjsNoRedundantNotify],
    ["rxjs-no-sharereplay", rxjs_no_sharereplay_1.convertRxjsNoShareReplay],
    ["rxjs-no-subclass", rxjs_no_subclass_1.convertRxjsNoSubclass],
    ["rxjs-no-subject-unsubscribe", rxjs_no_subject_unsubscribe_1.convertRxjsNoSubjectUnubscribe],
    ["rxjs-no-subject-value", rxjs_no_subject_value_1.convertRxjsNoSubjectValue],
    ["rxjs-no-tap", rxjs_no_tap_1.convertRxjsNoTap],
    ["rxjs-no-topromise", rxjs_no_topromise_1.convertRxjsNoToPromise],
    ["rxjs-no-unbound-methods", rxjs_no_unbound_methods_1.convertRxjsNoUnboundMethods],
    ["rxjs-no-unsafe-catch", rxjs_no_unsafe_catch_1.convertRxjsNoUnsafeCatch],
    ["rxjs-no-unsafe-first", rxjs_no_unsafe_first_1.convertRxjsNoUnsafeFirst],
    ["rxjs-no-unsafe-scope", rxjs_no_unsafe_scope_1.convertRxjsNoUnsafeScope],
    ["rxjs-no-unsafe-subject-next", rxjs_no_unsafe_subject_next_1.convertRxjsNoUnsafeSubjectNext],
    ["rxjs-no-unsafe-switchmap", rxjs_no_unsafe_switchmap_1.convertRxjsNoUnsafeSwitchmap],
    ["rxjs-no-unsafe-takeuntil", rxjs_no_unsafe_takeuntil_1.convertRxjsNoUnsafeTakeUntil],
    ["rxjs-no-unsafe-takewhile", rxjs_no_unsafe_takewhile_1.convertRxjsNoUnsafeTakewhile],
    ["rxjs-no-unused-add", rxjs_no_unused_add_1.convertRxjsNoUnusedAdd],
    ["rxjs-no-wholesale", rxjs_no_wholesale_1.convertRxjsNoWholesale],
    ["rxjs-prefer-add", rxjs_prefer_add_1.convertRxjsPreferAdd],
    ["rxjs-prefer-angular-async-pipe", rxjs_prefer_angular_async_pipe_1.convertRxjsPreferAngularAsyncPipe],
    ["rxjs-prefer-angular-composition", rxjs_prefer_angular_composition_1.convertRxjsPreferAngularComposition],
    ["rxjs-prefer-angular-takeuntil", rxjs_prefer_angular_takeuntil_1.convertRxjsPreferAngularTakeuntil],
    ["rxjs-prefer-observer", rxjs_prefer_observer_1.convertRxjsPreferObserver],
    ["rxjs-suffix-subjects", rxjs_suffix_subjects_1.convertRxjsSuffixSubjects],
    ["rxjs-throw-error", rxjs_throw_error_1.convertRxjsThrowError],
    ["semicolon", semicolon_1.convertSemicolon],
    ["space-before-function-paren", space_before_function_paren_1.convertSpaceBeforeFunctionParen],
    ["space-within-parens", space_within_parens_1.convertSpaceWithinParens],
    ["strict-boolean-expressions", strict_boolean_expressions_1.convertStrictBooleanExpressions],
    ["switch-default", switch_default_1.convertSwitchDefault],
    ["template-accessibility-alt-text", template_accessibility_alt_text_1.convertTemplateAccessibilityAltText],
    ["template-accessibility-elements-content", template_accessibility_elements_content_1.convertTemplateAccessibilityElementsContent],
    ["template-accessibility-label-for", template_accessibility_label_for_1.convertTemplateAccessibilityLabelFor],
    ["template-accessibility-tabindex-no-positive", template_accessibility_tabindex_no_positive_1.convertTemplateAccessibilityTabindexNoPositive],
    ["template-accessibility-table-scope", template_accessibility_table_scope_1.convertTemplateAccessibilityTableScope],
    ["template-accessibility-valid-aria", template_accessibility_valid_aria_1.convertTemplateAccessibilityValidAria],
    ["template-banana-in-box", template_banana_in_box_1.convertTemplateBananaInBox],
    ["template-click-events-have-key-events", template_click_events_have_key_events_1.convertTemplateClickEventsHaveKeyEvents],
    ["template-conditional-complexity", template_conditional_complexity_1.convertTemplateConditionalComplexity],
    ["template-cyclomatic-complexity", template_cyclomatic_complexity_1.convertTemplateCyclomaticComplexity],
    ["template-i18n", template_i18n_1.convertTemplateI18N],
    ["template-mouse-events-have-key-events", template_mouse_events_have_key_events_1.convertTemplateMouseEventsHaveKeyEvents],
    ["template-no-any", template_no_any_1.convertTemplateNoAny],
    ["template-no-autofocus", template_no_autofocus_1.convertTemplateNoAutofocus],
    ["template-no-call-expression", template_no_call_expression_1.convertTemplateNoCallExpression],
    ["template-no-distracting-elements", template_no_distracting_elements_1.convertTemplateNoDistractingElements],
    ["template-no-negated-async", template_no_negated_async_1.convertTemplateNoNegatedAsync],
    ["template-use-track-by-function", template_use_track_by_function_1.convertTemplateUseTrackByFunction],
    ["trailing-comma", trailing_comma_1.convertTrailingComma],
    ["triple-equals", triple_equals_1.convertTripleEquals],
    ["type-literal-delimiter", type_literal_delimiter_1.convertTypeLiteralDelimiter],
    ["typedef", typedef_1.convertTypedef],
    ["typedef-whitespace", typedef_whitespace_1.convertTypedefWhitespace],
    ["typeof-compare", typeof_compare_1.convertTypeofCompare],
    ["underscore-consistent-invocation", underscore_consistent_invocation_1.convertUnderscoreConsistentInvocation],
    ["unified-signatures", unified_signatures_1.convertUnifiedSignatures],
    ["unnecessary-bind", unnecessary_bind_1.convertUnnecessaryBind],
    ["unnecessary-constructor", unnecessary_constructor_1.convertUnnecessaryConstructor],
    ["use-component-selector", use_component_selector_1.convertUseComponentSelector],
    ["use-component-view-encapsulation", use_component_view_encapsulation_1.convertUseComponentViewEncapsulation],
    ["use-default-type-parameter", use_default_type_parameter_1.convertUseDefaultTypeParameter],
    ["use-injectable-provided-in", use_injectable_provided_in_1.convertUseInjectableProvidedIn],
    ["use-isnan", use_isnan_1.convertUseIsnan],
    ["use-lifecycle-interface", use_lifecycle_interface_1.convertUseLifecycleInterface],
    ["use-pipe-decorator", use_pipe_decorator_1.convertUsePipeDecorator],
    ["use-pipe-transform-interface", use_pipe_transform_interface_1.convertUsePipeTransformInterface],
    ["use-primitive-type", use_primitive_type_1.convertUsePrimitiveType],
    ["variable-name", variable_name_1.convertVariableName],
]);
//# sourceMappingURL=ruleConverters.js.map