"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertBanTypes = void 0;
const convertBanTypes = (tslintRule) => {
    const bannedTypes = {};
    for (const rule of tslintRule.ruleArguments) {
        if (!Array.isArray(rule)) {
            break;
        }
        const [bannedType, message] = rule;
        if (!bannedType) {
            break;
        }
        bannedTypes[bannedType] = message ? { message } : null;
    }
    const ruleArguments = Object.keys(bannedTypes).length === 0 ? undefined : [{ types: bannedTypes }];
    return {
        rules: [
            {
                ruleName: "@typescript-eslint/ban-types",
                ...{ ruleArguments },
            },
        ],
    };
};
exports.convertBanTypes = convertBanTypes;
//# sourceMappingURL=ban-types.js.map