"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertJsxBanProps = void 0;
const convertJsxBanProps = (tslintRule) => {
    return {
        rules: [
            {
                ...(tslintRule.ruleArguments.length !== 0 && {
                    ruleArguments: tslintRule.ruleArguments.map((ruleArgument) => ({
                        forbid: ruleArgument.length === 1
                            ? ruleArgument[0]
                            : {
                                message: ruleArgument[1],
                                propName: ruleArgument[0],
                            },
                    })),
                }),
                ruleName: "react/forbid-component-props",
            },
        ],
        plugins: ["eslint-plugin-react"],
    };
};
exports.convertJsxBanProps = convertJsxBanProps;
//# sourceMappingURL=jsx-ban-props.js.map