"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertNoConsole = void 0;
const convertNoConsole = (tslintRule) => {
    return {
        rules: [
            {
                ...(tslintRule.ruleArguments.length !== 0 && {
                    notices: ["Custom console methods, if they exist, will no longer be allowed."],
                    ruleArguments: [
                        {
                            allow: Object.keys(console).filter((method) => !tslintRule.ruleArguments.includes(method)),
                        },
                    ],
                }),
                ruleName: "no-console",
            },
        ],
    };
};
exports.convertNoConsole = convertNoConsole;
//# sourceMappingURL=no-console.js.map