"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertNoSubmoduleImports = void 0;
const convertNoSubmoduleImports = (tslintRule) => {
    const allow = [];
    if (tslintRule.ruleArguments.length !== 0 &&
        tslintRule.ruleArguments[0] !== false &&
        tslintRule.ruleArguments.length >= 2) {
        allow.push(...tslintRule.ruleArguments
            .slice(1, tslintRule.ruleArguments.length)
            .map((ruleArg) => ruleArg.concat("/*")));
    }
    return {
        rules: [
            {
                ruleName: "import/no-internal-modules",
                ...(allow.length !== 0 && { ruleArguments: [{ allow }] }),
            },
        ],
        plugins: ["eslint-plugin-import"],
    };
};
exports.convertNoSubmoduleImports = convertNoSubmoduleImports;
//# sourceMappingURL=no-submodule-imports.js.map