"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertNoSuspiciousComment = void 0;
const convertNoSuspiciousComment = (tslintRule) => {
    return {
        rules: [
            {
                ...(tslintRule.ruleArguments.length !== 0
                    ? {
                        notices: [
                            "ESLint's no-warning-comments does not allow an array of terms to match.",
                        ],
                    }
                    : {}),
                ruleArguments: [
                    {
                        location: "anywhere",
                        terms: ["BUG", "HACK", "FIXME", "LATER", "LATER2", "TODO"],
                    },
                ],
                ruleName: "no-warning-comments",
            },
        ],
    };
};
exports.convertNoSuspiciousComment = convertNoSuspiciousComment;
//# sourceMappingURL=no-suspicious-comment.js.map