"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectTSLintRulesets = void 0;
const utils_1 = require("../../../utils");
const nativeExtensions = new Map([
    ["tslint:all", ["plugin:@typescript-eslint/all"]],
    [
        "tslint:recommended",
        [
            "plugin:@typescript-eslint/recommended",
            "plugin:@typescript-eslint/recommended-requiring-type-checking",
        ],
    ],
    ["tslint-react", ["plugin:react/recommended"]],
]);
const collectTSLintRulesets = (tslint) => {
    const allExtensions = (0, utils_1.uniqueFromSources)(tslint.full.extends, tslint.raw.extends);
    const extensions = new Set();
    for (const extension of allExtensions) {
        const mappedExtensions = nativeExtensions.get(extension);
        if (mappedExtensions !== undefined) {
            for (const mappedExtension of mappedExtensions) {
                extensions.add(mappedExtension);
            }
        }
    }
    return Array.from(extensions);
};
exports.collectTSLintRulesets = collectTSLintRulesets;
//# sourceMappingURL=collectTSLintRulesets.js.map