import { SansDependencies } from "../../../binding";
import { ConfigurationError } from "../../../errors/configurationError";
import { ESLintConfiguration } from "../../../input/findESLintConfiguration";
import { importer } from "../../../input/importer";
export type RetrieveExtendsValuesDependencies = {
    importer: SansDependencies<typeof importer>;
};
export type RetrievedExtensionValues = {
    configurationErrors: ConfigurationError[];
    importedExtensions: Partial<ESLintConfiguration>[];
};
/**
 * Imports any extended ESLint rulesets as ESLint configurations.
 */
export declare const retrieveExtendsValues: (dependencies: RetrieveExtendsValuesDependencies, rawExtensionNames: string[] | string) => Promise<RetrievedExtensionValues>;
