"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findPackagesConfiguration = void 0;
const findReportedConfiguration_1 = require("./findReportedConfiguration");
const findPackagesConfiguration = async (dependencies, config) => {
    const rawConfiguration = await (0, findReportedConfiguration_1.findReportedConfiguration)(dependencies.exec, dependencies.platform === "win32" ? "type" : "cat", config !== null && config !== void 0 ? config : "./package.json");
    return rawConfiguration instanceof Error
        ? rawConfiguration
        : {
            dependencies: {
                ...rawConfiguration.dependencies,
            },
            devDependencies: {
                ...rawConfiguration.devDependencies,
            },
        };
};
exports.findPackagesConfiguration = findPackagesConfiguration;
//# sourceMappingURL=findPackagesConfiguration.js.map