"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findTypeScriptConfiguration = void 0;
const findReportedConfiguration_1 = require("./findReportedConfiguration");
const defaultTypeScriptConfiguration = {
    compilerOptions: {
        target: "es3",
    },
};
const findTypeScriptConfiguration = async (dependencies, config) => {
    const rawConfiguration = await (0, findReportedConfiguration_1.findReportedConfiguration)(dependencies.exec, "tsc --showConfig -p", config !== null && config !== void 0 ? config : "./tsconfig.json");
    return rawConfiguration instanceof Error
        ? rawConfiguration
        : {
            ...rawConfiguration,
            compilerOptions: {
                ...defaultTypeScriptConfiguration.compilerOptions,
                ...rawConfiguration.compilerOptions,
            },
        };
};
exports.findTypeScriptConfiguration = findTypeScriptConfiguration;
//# sourceMappingURL=findTypeScriptConfiguration.js.map